Subject: Re: Problems with Apache 1.3.20
From: "Gerrit P. Haase" <[email-masked]>
To: Jordan Henderson <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 29 May 2001 00:05:27 +0200

Jordan Henderson schrieb am 2001-05-28, 16:27:

> 
> My environment:
> 
>  cygwin DLL 1.3.2 and utilities current to 5/24/2001
>  Win2K SP1
> 
> Apache 1.3.20 seems to _build_ OK, but I'm seeing numerous errors in the
> 'make install' like the following:
> 
> cp: `./src/httpd' and `/usr/local/apache/bin/inst.1564' are the same file
> strip: /usr/local/apache/bin/inst.1564: No such file or directory chmod:
> /usr/local/apache/bin/inst.1564: No such file or directory mv:
> /usr/local/apache/bin/inst.1564: No such file or directory
> 
> But, the 'make install' reports that it completed successfully.
> 
> When I try to run
> 
>  /usr/local/apache/bin/apachectl start
> 
> I initially get an error:
> 
>  /usr/local/apche/bin/apachectl: /usr/local/apache/bin/httpd: No such file
>  or directory /usr/local/apache/bin/apachectl start: httpd could not be
>  started
> 
> I found httpd.exe still in my src directory from the build and copied over
> to /usr/local/apache/bin, but then I get:
> 
>  httpd: bad user name nobody
> 
> I see from the comments in httpd.conf that this may need to be changed, so I
> change the user to an Administrator on my machine.
> 
> I attempt to start again, and it says that it starts, but I get:
> 
>  [date] [alert] httpd: Could not determine the server's fully qualified
>  domain name, using 127.0.0.1 for ServerName /usr/local/apache/bin/apachectl
>  start: httpd started

All known problems for me with 1.3.19. Better you define the hostname in
httpd.conf.
I work around the install errors in fiddeling around in the makefiles to
set an .exe to every executable, so it works for me.
 
> And, it does seem to be running, but I can't connect to it.

Hmm, that is new to me, i always have problems, that apachwe is
eating up my cpu-time if it is doing nothing.
Want to say, don't knopw what it is doing, it runs forever
burning the cpu...
But usually it is not burning cpu, i am able to connect.

> When I'm doing this testing, I don't have any network interfaces running.

It remembers me at my pproblem with squid. Since a few days now, I  
couldn't get it to serve any request, it was running fine, now it is 'dead'.
Maybe it depends on some other packets which were updeted the last days?

> I have to admit being new to Apache configuration.  Are there some other
> things I'll need to change in httpd.conf to make this work?  I'll play
> around a bit and see what I can figure out...

What port is set as default? Apache compiled for me with default port 8080.

-gph

-- 
=^..^=

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple